<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'SubmitXml' => '\\StructType\\SubmitXml',
            'Request' => '\\StructType\\Request',
            'Filter' => '\\StructType\\Filter',
            'SubmitXmlResponse' => '\\StructType\\SubmitXmlResponse',
            'SubmitXmlResult' => '\\StructType\\SubmitXmlResult',
            'MultiSubmitXml' => '\\StructType\\MultiSubmitXml',
            'Requests' => '\\StructType\\Requests',
            'MultiSubmitXmlResponse' => '\\StructType\\MultiSubmitXmlResponse',
            'Responses' => '\\StructType\\Responses',
            'BeginSession' => '\\StructType\\BeginSession',
            'BeginSessionResponse' => '\\StructType\\BeginSessionResponse',
            'EndSession' => '\\StructType\\EndSession',
            'EndSessionResponse' => '\\StructType\\EndSessionResponse',
            'SubmitXmlOnSession' => '\\StructType\\SubmitXmlOnSession',
            'SubmitXmlOnSessionResponse' => '\\StructType\\SubmitXmlOnSessionResponse',
            'SubmitXmlOnSessionResult' => '\\StructType\\SubmitXmlOnSessionResult',
            'SubmitTerminalTransaction' => '\\StructType\\SubmitTerminalTransaction',
            'SubmitTerminalTransactionResponse' => '\\StructType\\SubmitTerminalTransactionResponse',
            'GetIdentityInfo' => '\\StructType\\GetIdentityInfo',
            'GetIdentityInfoResponse' => '\\StructType\\GetIdentityInfoResponse',
            'GetIdentityInfoResult' => '\\StructType\\GetIdentityInfoResult',
            'SubmitCruiseTransaction' => '\\StructType\\SubmitCruiseTransaction',
            'Transactions' => '\\StructType\\Transactions',
            'SubmitCruiseTransactionResponse' => '\\StructType\\SubmitCruiseTransactionResponse',
            'Response' => '\\StructType\\Response',
        );
    }
}
