<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MultiSubmitXml StructType
 * @subpackage Structs
 */
class MultiSubmitXml extends AbstractStructBase
{
    /**
     * The Profile
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Profile;
    /**
     * The Requests
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Requests
     */
    public $Requests;
    /**
     * Constructor method for MultiSubmitXml
     * @uses MultiSubmitXml::setProfile()
     * @uses MultiSubmitXml::setRequests()
     * @param string $profile
     * @param \StructType\Requests $requests
     */
    public function __construct($profile = null, \StructType\Requests $requests = null)
    {
        $this
            ->setProfile($profile)
            ->setRequests($requests);
    }
    /**
     * Get Profile value
     * @return string|null
     */
    public function getProfile()
    {
        return $this->Profile;
    }
    /**
     * Set Profile value
     * @param string $profile
     * @return \StructType\MultiSubmitXml
     */
    public function setProfile($profile = null)
    {
        // validation for constraint: string
        if (!is_null($profile) && !is_string($profile)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profile, true), gettype($profile)), __LINE__);
        }
        $this->Profile = $profile;
        return $this;
    }
    /**
     * Get Requests value
     * @return \StructType\Requests|null
     */
    public function getRequests()
    {
        return $this->Requests;
    }
    /**
     * Set Requests value
     * @param \StructType\Requests $requests
     * @return \StructType\MultiSubmitXml
     */
    public function setRequests(\StructType\Requests $requests = null)
    {
        $this->Requests = $requests;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MultiSubmitXml
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
