<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubmitCruiseTransaction StructType
 * @subpackage Structs
 */
class SubmitCruiseTransaction extends AbstractStructBase
{
    /**
     * The Profile
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Profile;
    /**
     * The CorrelationToken
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CorrelationToken;
    /**
     * The Transactions
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Transactions
     */
    public $Transactions;
    /**
     * Constructor method for SubmitCruiseTransaction
     * @uses SubmitCruiseTransaction::setProfile()
     * @uses SubmitCruiseTransaction::setCorrelationToken()
     * @uses SubmitCruiseTransaction::setTransactions()
     * @param string $profile
     * @param string $correlationToken
     * @param \StructType\Transactions $transactions
     */
    public function __construct($profile = null, $correlationToken = null, \StructType\Transactions $transactions = null)
    {
        $this
            ->setProfile($profile)
            ->setCorrelationToken($correlationToken)
            ->setTransactions($transactions);
    }
    /**
     * Get Profile value
     * @return string|null
     */
    public function getProfile()
    {
        return $this->Profile;
    }
    /**
     * Set Profile value
     * @param string $profile
     * @return \StructType\SubmitCruiseTransaction
     */
    public function setProfile($profile = null)
    {
        // validation for constraint: string
        if (!is_null($profile) && !is_string($profile)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profile, true), gettype($profile)), __LINE__);
        }
        $this->Profile = $profile;
        return $this;
    }
    /**
     * Get CorrelationToken value
     * @return string|null
     */
    public function getCorrelationToken()
    {
        return $this->CorrelationToken;
    }
    /**
     * Set CorrelationToken value
     * @param string $correlationToken
     * @return \StructType\SubmitCruiseTransaction
     */
    public function setCorrelationToken($correlationToken = null)
    {
        // validation for constraint: string
        if (!is_null($correlationToken) && !is_string($correlationToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($correlationToken, true), gettype($correlationToken)), __LINE__);
        }
        $this->CorrelationToken = $correlationToken;
        return $this;
    }
    /**
     * Get Transactions value
     * @return \StructType\Transactions|null
     */
    public function getTransactions()
    {
        return $this->Transactions;
    }
    /**
     * Set Transactions value
     * @param \StructType\Transactions $transactions
     * @return \StructType\SubmitCruiseTransaction
     */
    public function setTransactions(\StructType\Transactions $transactions = null)
    {
        $this->Transactions = $transactions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SubmitCruiseTransaction
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
