<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubmitCruiseTransactionResponse StructType
 * @subpackage Structs
 */
class SubmitCruiseTransactionResponse extends AbstractStructBase
{
    /**
     * The Response
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Response
     */
    public $Response;
    /**
     * The CorrelationToken
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CorrelationToken;
    /**
     * Constructor method for SubmitCruiseTransactionResponse
     * @uses SubmitCruiseTransactionResponse::setResponse()
     * @uses SubmitCruiseTransactionResponse::setCorrelationToken()
     * @param \StructType\Response $response
     * @param string $correlationToken
     */
    public function __construct(\StructType\Response $response = null, $correlationToken = null)
    {
        $this
            ->setResponse($response)
            ->setCorrelationToken($correlationToken);
    }
    /**
     * Get Response value
     * @return \StructType\Response|null
     */
    public function getResponse()
    {
        return $this->Response;
    }
    /**
     * Set Response value
     * @param \StructType\Response $response
     * @return \StructType\SubmitCruiseTransactionResponse
     */
    public function setResponse(\StructType\Response $response = null)
    {
        $this->Response = $response;
        return $this;
    }
    /**
     * Get CorrelationToken value
     * @return string|null
     */
    public function getCorrelationToken()
    {
        return $this->CorrelationToken;
    }
    /**
     * Set CorrelationToken value
     * @param string $correlationToken
     * @return \StructType\SubmitCruiseTransactionResponse
     */
    public function setCorrelationToken($correlationToken = null)
    {
        // validation for constraint: string
        if (!is_null($correlationToken) && !is_string($correlationToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($correlationToken, true), gettype($correlationToken)), __LINE__);
        }
        $this->CorrelationToken = $correlationToken;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SubmitCruiseTransactionResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
