<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubmitTerminalTransaction StructType
 * @subpackage Structs
 */
class SubmitTerminalTransaction extends AbstractStructBase
{
    /**
     * The Profile
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Profile;
    /**
     * The Token
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Token;
    /**
     * The Request
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Request;
    /**
     * The IntermediateResponse
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IntermediateResponse;
    /**
     * Constructor method for SubmitTerminalTransaction
     * @uses SubmitTerminalTransaction::setProfile()
     * @uses SubmitTerminalTransaction::setToken()
     * @uses SubmitTerminalTransaction::setRequest()
     * @uses SubmitTerminalTransaction::setIntermediateResponse()
     * @param string $profile
     * @param string $token
     * @param string $request
     * @param string $intermediateResponse
     */
    public function __construct($profile = null, $token = null, $request = null, $intermediateResponse = null)
    {
        $this
            ->setProfile($profile)
            ->setToken($token)
            ->setRequest($request)
            ->setIntermediateResponse($intermediateResponse);
    }
    /**
     * Get Profile value
     * @return string|null
     */
    public function getProfile()
    {
        return $this->Profile;
    }
    /**
     * Set Profile value
     * @param string $profile
     * @return \StructType\SubmitTerminalTransaction
     */
    public function setProfile($profile = null)
    {
        // validation for constraint: string
        if (!is_null($profile) && !is_string($profile)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profile, true), gettype($profile)), __LINE__);
        }
        $this->Profile = $profile;
        return $this;
    }
    /**
     * Get Token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->Token;
    }
    /**
     * Set Token value
     * @param string $token
     * @return \StructType\SubmitTerminalTransaction
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->Token = $token;
        return $this;
    }
    /**
     * Get Request value
     * @return string|null
     */
    public function getRequest()
    {
        return $this->Request;
    }
    /**
     * Set Request value
     * @param string $request
     * @return \StructType\SubmitTerminalTransaction
     */
    public function setRequest($request = null)
    {
        // validation for constraint: string
        if (!is_null($request) && !is_string($request)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($request, true), gettype($request)), __LINE__);
        }
        $this->Request = $request;
        return $this;
    }
    /**
     * Get IntermediateResponse value
     * @return string|null
     */
    public function getIntermediateResponse()
    {
        return $this->IntermediateResponse;
    }
    /**
     * Set IntermediateResponse value
     * @param string $intermediateResponse
     * @return \StructType\SubmitTerminalTransaction
     */
    public function setIntermediateResponse($intermediateResponse = null)
    {
        // validation for constraint: string
        if (!is_null($intermediateResponse) && !is_string($intermediateResponse)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($intermediateResponse, true), gettype($intermediateResponse)), __LINE__);
        }
        $this->IntermediateResponse = $intermediateResponse;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SubmitTerminalTransaction
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
