<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubmitXmlOnSession StructType
 * @subpackage Structs
 */
class SubmitXmlOnSession extends AbstractStructBase
{
    /**
     * The Token
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Token;
    /**
     * The Request
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Request
     */
    public $Request;
    /**
     * The Filter
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Filter
     */
    public $Filter;
    /**
     * Constructor method for SubmitXmlOnSession
     * @uses SubmitXmlOnSession::setToken()
     * @uses SubmitXmlOnSession::setRequest()
     * @uses SubmitXmlOnSession::setFilter()
     * @param string $token
     * @param \StructType\Request $request
     * @param \StructType\Filter $filter
     */
    public function __construct($token = null, \StructType\Request $request = null, \StructType\Filter $filter = null)
    {
        $this
            ->setToken($token)
            ->setRequest($request)
            ->setFilter($filter);
    }
    /**
     * Get Token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->Token;
    }
    /**
     * Set Token value
     * @param string $token
     * @return \StructType\SubmitXmlOnSession
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->Token = $token;
        return $this;
    }
    /**
     * Get Request value
     * @return \StructType\Request|null
     */
    public function getRequest()
    {
        return $this->Request;
    }
    /**
     * Set Request value
     * @param \StructType\Request $request
     * @return \StructType\SubmitXmlOnSession
     */
    public function setRequest(\StructType\Request $request = null)
    {
        $this->Request = $request;
        return $this;
    }
    /**
     * Get Filter value
     * @return \StructType\Filter|null
     */
    public function getFilter()
    {
        return $this->Filter;
    }
    /**
     * Set Filter value
     * @param \StructType\Filter $filter
     * @return \StructType\SubmitXmlOnSession
     */
    public function setFilter(\StructType\Filter $filter = null)
    {
        $this->Filter = $filter;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SubmitXmlOnSession
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
